#
# spec file for package perl-Email-MIME-ContentType
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Email-MIME-ContentType
Name:           perl-Email-MIME-ContentType
Version:        1.028
Release:        1.6
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Parse and build a MIME Content-Type or Content-Disposition Header
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/R/RJ/RJBS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Encode) >= 2.87
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.78
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(Text::Unidecode)
Requires:       perl(Encode) >= 2.87
Requires:       perl(Text::Unidecode)
%{perl_requires}

%description
Parse and build a MIME Content-Type or Content-Disposition Header

%prep
%autosetup  -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README
%license LICENSE

%changelog
* Mon Jan  9 2023 Tina Müller <timueller+perl@suse.de>
- updated to 1.028
  see /usr/share/doc/packages/perl-Email-MIME-ContentType/Changes
  1.028     2023-01-08 19:26:20-05:00 America/New_York
  - update author info
* Mon Sep  5 2022 Tina Müller <timueller+perl@suse.de>
- updated to 1.027
  see /usr/share/doc/packages/perl-Email-MIME-ContentType/Changes
  1.027     2022-09-04 04:11:43-05:00 America/Chicago
  - add a (for now undocumented) $PRE_2231_FORM package variable; if set
    to false, when RFC2231-style parameters are used, a pre-RFC2231-style
    version will *not* also be provided; this variable is true by default
* Mon Jan 11 2021 Tina Müller <timueller+perl@suse.de>
- updated to 1.026
  see /usr/share/doc/packages/perl-Email-MIME-ContentType/Changes
  1.026     2021-01-10 15:31:45-05:00 America/New_York
  - don't use more memory than necessary to store parts of an encoded
    parameter (thanks, Pali)
* Mon May 25 2020 Tina Müller <timueller+perl@suse.de>
  updated to 1.024
  see /usr/share/doc/packages/perl-Email-MIME-ContentType/Changes
  1.024     2020-05-24 10:19:20-04:00 America/New_York
  - no changes since stable release
  1.023     2020-05-09 14:51:41-04:00 America/New_York (TRIAL RELEASE)
  - All of this release is thanks to Pali Rohár, who suffered through a
    long period of waiting while RJBS, the maintainer, let the module
    languish.  Thank you for your patience, Pali and everybody else.
  - silence an uninitalized value warning
  - avoid allowing non-Latin digits in numbers
  - add new functions build_content_type() and build_content_disposition
* Fri Sep  1 2017 coolo@suse.com
- updated to 1.022
  see /usr/share/doc/packages/perl-Email-MIME-ContentType/Changes
  1.022     2017-08-31 09:16:58-04:00 America/New_York
  - add parse_content_disposition (thanks, Pali Rohár)
* Fri Aug  4 2017 coolo@suse.com
- updated to 1.021
  see /usr/share/doc/packages/perl-Email-MIME-ContentType/Changes
  1.021     2017-08-02 19:35:56-04:00 America/New_York
  - reject non-ASCII and control characters in strict mode (thanks, Pali
    Rohár)
* Wed Jul 26 2017 coolo@suse.com
- updated to 1.020
  see /usr/share/doc/packages/perl-Email-MIME-ContentType/Changes
  1.020     2017-07-25 12:39:31-04:00 America/New_York
  - unbreak Email::MIME (which violates encapsulation (again))
  - eliminate some @_ / $_ confusion
  1.019     2017-07-06 16:06:19-04:00 America/New_York (TRIAL RELEASE)
  - better parsing all around, thanks to Pali Rohár:
  - support for RFC 2231 (character set and parameter continuations)
  - support for RFC 2822 comments
  - we only Carp if header-parsing fails now
  - we're more lenient in dealing with spaces around tokens
* Mon Apr 13 2015 coolo@suse.com
- updated to 1.018
  see /usr/share/doc/packages/perl-Email-MIME-ContentType/Changes
  1.018     2015-04-07 19:46:00-04:00 America/New_York
  - cope with space between "=" and parameter values, like:
    charset= "utf-8"
* Tue Nov 26 2013 coolo@suse.com
- updated to 1.017
    make $STRICT_PARAMS actually work! (thanks, Matthew Green!)
    [rt.cpan.org #87460]
    correct the longstanding and embarrassing misuse of "discrete" and
    "composite" to mean "type" and "subtype"; the returned data still
    contains the wrong old names so your code shouldn't break
    repackage to update bugtracker, repo, etc.
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Mon Nov 29 2010 coolo@novell.com
- called spec2changelog
* Fri Sep 14 2007 jfunk@funktronics.ca
- Initial release
